package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * MobileNumbers generated by hbm2java
 */
@Entity
@Table(name="mobile_numbers"
    ,schema="public"
)
public class MobileNumbers  implements java.io.Serializable {


     private Long id;
     private ClassOperatorType classOperatorType;
     private RegisteredUser registeredUser;
     private String mobileNumber;
     private String description;
     private Date modifiedAt;
     private Date createdAt;
     private Set<ClientSecureCommunicationDataHistory> clientSecureCommunicationDataHistories = new HashSet<ClientSecureCommunicationDataHistory>(0);
     private Set<ClientSecureCommunicationData> clientSecureCommunicationDatas = new HashSet<ClientSecureCommunicationData>(0);
     private Set<SmsTechnical> smsTechnicals = new HashSet<SmsTechnical>(0);

    public MobileNumbers() {
    }

    public MobileNumbers(ClassOperatorType classOperatorType, RegisteredUser registeredUser, String mobileNumber, String description, Date modifiedAt, Date createdAt, Set<ClientSecureCommunicationDataHistory> clientSecureCommunicationDataHistories, Set<ClientSecureCommunicationData> clientSecureCommunicationDatas, Set<SmsTechnical> smsTechnicals) {
       this.classOperatorType = classOperatorType;
       this.registeredUser = registeredUser;
       this.mobileNumber = mobileNumber;
       this.description = description;
       this.modifiedAt = modifiedAt;
       this.createdAt = createdAt;
       this.clientSecureCommunicationDataHistories = clientSecureCommunicationDataHistories;
       this.clientSecureCommunicationDatas = clientSecureCommunicationDatas;
       this.smsTechnicals = smsTechnicals;
    }
   
     @SequenceGenerator(name="generator", sequenceName="mobile_numbers_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="operator_id")
    public ClassOperatorType getClassOperatorType() {
        return this.classOperatorType;
    }
    
    public void setClassOperatorType(ClassOperatorType classOperatorType) {
        this.classOperatorType = classOperatorType;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="user_id")
    public RegisteredUser getRegisteredUser() {
        return this.registeredUser;
    }
    
    public void setRegisteredUser(RegisteredUser registeredUser) {
        this.registeredUser = registeredUser;
    }

    
    @Column(name="mobile_number")
    public String getMobileNumber() {
        return this.mobileNumber;
    }
    
    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    
    @Column(name="description")
    public String getDescription() {
        return this.description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="modified_at", length=29)
    public Date getModifiedAt() {
        return this.modifiedAt;
    }
    
    public void setModifiedAt(Date modifiedAt) {
        this.modifiedAt = modifiedAt;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="created_at", length=29)
    public Date getCreatedAt() {
        return this.createdAt;
    }
    
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="mobileNumbers")
    public Set<ClientSecureCommunicationDataHistory> getClientSecureCommunicationDataHistories() {
        return this.clientSecureCommunicationDataHistories;
    }
    
    public void setClientSecureCommunicationDataHistories(Set<ClientSecureCommunicationDataHistory> clientSecureCommunicationDataHistories) {
        this.clientSecureCommunicationDataHistories = clientSecureCommunicationDataHistories;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="mobileNumbers")
    public Set<ClientSecureCommunicationData> getClientSecureCommunicationDatas() {
        return this.clientSecureCommunicationDatas;
    }
    
    public void setClientSecureCommunicationDatas(Set<ClientSecureCommunicationData> clientSecureCommunicationDatas) {
        this.clientSecureCommunicationDatas = clientSecureCommunicationDatas;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="mobileNumbers")
    public Set<SmsTechnical> getSmsTechnicals() {
        return this.smsTechnicals;
    }
    
    public void setSmsTechnicals(Set<SmsTechnical> smsTechnicals) {
        this.smsTechnicals = smsTechnicals;
    }




}


